Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::FieldValueConcept< T > Struct Template Reference

List of all members.

## Detailed Description

### template<typename T>
struct openvrml::FieldValueConcept< T >

Concept checking class to validate that a template parameter is a model of the FieldValue concept.

A Field Value is a concrete type that inherits field_value and holds a value for a field of a node.

Refinement of
  DefaultConstructible, CopyConstructible, Assignable, EqualityComparable

Associated types

  Value type | T::value_type | The type of T's value member. The value type must be Assignable and DefaultConstructible.

Notation

  `T` | A type that is a model of Field Value
  `v` | A reference of type `field_value &`

Definitions

Valid expressions
  In addition to the expressions defined in Assignable and EqualityComparable, the following expressions must be valid.

  Name | Expression | Type requirements | Return type
  --- | --- | --- | ---
  Downcast | `static_cast<T &>(v)` |  | T &

Models
  - sfbool
  - sfcolor
  - sffloat
  - sfimage
  - sfint32
  - sfnode
  - sfrotation
  - sfstring
  - sftime
  - sfvec2f
  - sfvec3f
  - mfcolor
  - mffloat
  - mfint32
  - mfnode
  - mfrotation
  - mfstring
  - mftime
  - mfvec2f
  - mfvec3f

## Public Member Functions

void | constraints ()
| Validate that T is a model of the FieldValue concept.

## Member Function Documentation

template<typename T>
void openvrml::FieldValueConcept< T >::constraints | ( |  | ) | `[inline]`

| Validate that T is a model of the FieldValue concept.